Class Index | File Index

## Classes

- _Association
- _global_
- Dataset
- ManyToMany
- ManyToOne
- MayToOne
- Migrations
- Model
- moose
- moose.adapters
- moose.adapters.client.Client
- moose.adapters.client.ConnectionPool
- moose.adapters.client.mysql.ConnectionPool
- moose.adapters.client.mysql.Query
- moose.adapters.client.mysql.TransactionQuery
- moose.adapters.mysql
- moose.adapters.mysql.types
- moose.plugins
- moose.plugins.AssociationPlugin
- moose.plugins.CachePlugin
- moose.plugins.QueryPlugin
- moose.plugins.TimeStampPlugin
- moose.Table
- OneToMany
- SQL
- Type

# Class moose.plugins.TimeStampPlugin

Time stamp plugin to support creating timestamp
Defined in: timestamp.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| moose.plugins.TimeStampPlugin()

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | moose.plugins.TimeStampPlugin.timestamp(options) Adds timestamp functionality to a table.

Class Detail
moose.plugins.TimeStampPlugin()

    //create your model and register the plugin.
    var MyModel = moose.addModel("testTable", {
        plugins : [moose.plugins.TimeStampPlugin];
    });

    //initialize default timestamp functionality
    MyModel.timestamp();

    //Or

    //initialize custom update column
    MyModel.timestamp({updated : "myUpdateColumn"});

    //Or

    //initialize custom created column
    MyModel.timestamp({created : "myCreatedColumn"});

    //Or

    //Set to update the updated column when row is created
    MyModel.timestamp({updateOnCreate : true});

    //Or

    //Set both custom columns
    MyModel.timestamp({updated : "myUpdateColumn", created : "myCreatedColumn"});

    //Or

    //Use all three options!
    MyModel.timestamp({
             updated : "myUpdateColumn",
             created : "myCreatedColumn",
             updateOnCreate : true
    });

Method Detail
<static> moose.plugins.TimeStampPlugin.timestamp(options)
Adds timestamp functionality to a table.

Parameters:
{Object} options Optional
{String} options.updated Optional, Default: "updated"
  the name of the column to set the updated timestamp on.
{String} options.created Optional, Default: "created"
  the name of the column to set the created timestamp on
{Boolean} options.updateOnCreate Optional, Default: false
  Set to true to set the updated column on creation

Documentation generated by JsDoc Toolkit 2.4.0 on Sat Jun 11 2011 03:16:40 GMT-0500 (CDT)